xul-ext-esteid: incorrect symbolic links overwrite other Firefox directories

Bug #971525 reported by Martin-Éric Racine on 2012-04-02
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
esteid-browser-plugin (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

Since version 11.0 in Precise, Firefox suddenly stopped displaying its UI in Finnish. The appropriate localisation package (firefox-locale-fi) is installed, so the issue is obviously somewhere else, but I have been unable to determine where. The rest of the GNOME desktop operates in Finnish as expected.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: firefox-locale-fi 11.0+build1-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic-pae 3.2.13
Uname: Linux 3.2.0-21-generic-pae i686
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0-0ubuntu2
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: meracine 3947 F.... pulseaudio
BuildID: 20120402074308
CRDA: Error: [Errno 2] Tiedostoa tai hakemistoa ei ole
Channel: release
Date: Mon Apr 2 16:14:53 2012
Dependencies:

ForcedLayersAccel: False
IncompatibleExtensions: Estonian ID Card - ID={aa84ce40-4253-11da-8cd6-0800200c9a66}, Version=1.3.2, minVersion=3.0, maxVersion=10.*, Location=app-global, Type=extension, Active=Yes
IwConfig: Error: [Errno 2] Tiedostoa tai hakemistoa ei ole
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=fi:en
 TERM=xterm
 PATH=(custom, user)
 LANG=fi_FI.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=11.0/20120402074308 (Running)
RfKill: Error: [Errno 2] Tiedostoa tai hakemistoa ei ole
RunningIncompatibleAddons: True
SourcePackage: firefox
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/20/2007
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 000007
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd06/20/2007:svnDellInc.:pnLatitudeD430:pvr:rvnDellInc.:rn000007:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude D430
dmi.sys.vendor: Dell Inc.

Martin-Éric Racine (q-funk) wrote :
Jiri Grönroos (jiri-gronroos) wrote :

Is this still an issue with firefox/firefox-locale-fi 11.0+build1-0ubuntu3? Works well on my fresh setup.

Martin-Éric Racine (q-funk) wrote :

Yes, it's still an issue on this host upgraded from Oneiric:

$ dpkg -l 'xul*' 'browser*' 'firefox*' | grep ii | awk {'print $2,$3'}
browser-plugin-gnash 0.8.10-5ubuntu1
browser-plugin-lightspark 0.5.5-0ubuntu1
firefox 11.0+build1-0ubuntu3
firefox-gnome-support 11.0+build1-0ubuntu3
firefox-launchpad-plugin 0.4
firefox-locale-fi 11.0+build1-0ubuntu3
firefox-lp-improvements 0.99.90-0ubuntu1~ppa1
xul-ext-esteid 1.3.2-0ubuntu7
xul-ext-fineid 1.3.2-0ubuntu7
xul-ext-mozvoikko 2.0.1-0ubuntu1
xul-ext-ubufox 2.0.1-0ubuntu1

Chris Coulson (chrisccoulson) wrote :

This is because you've got a third party package installing something in to /usr/lib/firefox/extensions, which is preventing our package from making that a symlink to /usr/lib/firefox-addons/extensions, where all the language packs are installed.

Changed in firefox (Ubuntu):
status: New → Invalid
Chris Coulson (chrisccoulson) wrote :

Oh, FFS, this is more extensions coming in to the archive from Debian. Can we please make this stop????

affects: firefox (Ubuntu) → esteid-browser-plugin (Ubuntu)
summary: - firefox-locale-fi: User Interface completely in English
+ Please remove esteid-browser-plugin from the archive urgently, as it
+ trashes our Firefox package (was firefox-locale-fi: User Interface
+ completely in English)
Changed in esteid-browser-plugin (Ubuntu):
importance: Undecided → High
status: Invalid → Triaged
Changed in esteid-browser-plugin (Ubuntu Precise):
status: Triaged → Fix Released

This should never have been accepted in to the archive, at all. It's widely known that we don't accept any Firefox extensions in to the archive (except under special circumstances), as they incur a significant maintenance cost for our stable releases.

In future, can people ensure that I'm consulted on anything which touches Firefox.

Sebastien Bacher (seb128) wrote :

Deleted since it broke firefox, please sort if with Chris if that needs to be uploaded again but makes sure it's working next time

Martin-Éric Racine (q-funk) wrote :

Excuse-me? 1) This extension is very much needed to access public services in Estonia. 2) The extension is not imported from Debian. 3) Before assuming that some third-party plug-ib did it, please get your facts straight.

summary: - Please remove esteid-browser-plugin from the archive urgently, as it
- trashes our Firefox package (was firefox-locale-fi: User Interface
- completely in English)
+ firefox-locale-fi: User Interface completely in English

PS: if there's a bug with the extension, then file a bug against it. Don't just delete a package like that, FFS.

Martin-Éric Racine (q-funk) wrote :

As discussed over IRC, it appears that the issue was esteid-browser-plugin installing itself in the wrong path. Could someone please file a bug, rather than blindly remove packages, next time, especially if the issue is so trivial to fix? Thanks!

Martin-Éric Racine (q-funk) wrote :

Appears to be fixed as of 1.3.2-0ubuntu11

Martin-Éric Racine (q-funk) wrote :

Has been fixed and re-uploaded. If there's no issue remaining, please re-instate it ASAP.

summary: - firefox-locale-fi: User Interface completely in English
+ xul-ext-esteid: incorrect symbolic links overwrite other Firefox
+ directories
Changed in esteid-browser-plugin (Ubuntu Precise):
status: Fix Released → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers